Get Grant

Retrieve a grant with the given ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequiredformat: "uuid"
The unique id of the grant. The format should be a v4 UUID according to RFC 4122.

Response

OK
idstringRead-onlyformat: "uuid"
The unique identifier for the object
workflowSessionIdstringRead-onlyformat: "uuid"
ID of the Connect Workflow Session associated with this grant
fundIdstringRead-only
ID of the donor advised fund
amountdouble
The grant amount expressed in units of whole cents
trackingIdstringRead-only
The tracking ID for the grant
externalGrantIdstring
ID of the grant associated with the donor advised fund
createdAtstringRead-onlyformat: "date-time"

Time when this object was created; expressed in RFC 3339 format

updatedAtstringRead-onlyformat: "date-time"

Time when this object was last updated; expressed in RFC 3339 format

statusstring
The status of the grant
feeDetailobjectRead-only
The fee detail of the grant
metadatamap from strings to strings
A map of arbitrary string keys and values to store information about the object
firstNamestring
The donor's first name
lastNamestring
The donor's last name
phonestring
The donor's phone number
emailstring
The donor's email
notestring
An note inputted by the user at submisson
statuseslist of objects
The list of grant statuses for this grant
paymentChannelenumRead-only
The payment channel for the grant. This is useful to know how the grant will be sent. The payment channel will be one of the following: - dafpay_network: Grant will be sent to the DAFPay Network 501(c)(3) nonprofit organization (EIN: 93-1372175). The DAFPay Network will then review and process the grant and send the funds to the intended recipient. - direct: Grant will be sent directly to the intended recipient.
Allowed values:
addressobject
userFriendlyIdstringRead-onlyDeprecated
Often referred to as the "Chariot ID", this is the ID that will be included in the payment from the DAF provider.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error